unit Unit1;

interface

uses
	Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
	SliChart;

type
	TForm1 = class(TForm)
		SliChart1: TSliChart;
		procedure FormCreate(Sender: TObject);
	end;

var
	Form1: TForm1;

implementation

{$R *.DFM}


function fdata (DataHolder: TObject; row, col: integer; var data: TInputData): integer; cdecl;
var
	buf: array [0..1000] of char;
begin
	data.dType:= CL_DATA_REAL;
	case col of
		0:	data.dReal:= row;
		1:	data.dReal:= sin (row/10);
		2:	data.dReal:= sin (row/8);
		3:	begin
					data.dType:= CL_DATA_TEXT;
					data.dText:= strFmt (buf, 't=%d x=%.3f y=%.3f',
						[row, sin (row/10), sin (row/8)]);
				end;
	end;
end;

procedure TForm1.FormCreate(Sender: TObject);
var
	i: integer;
	D: array [0..4] of TInputData;
	buf: array [0..1000] of char;
begin
	SetLogName ('simple.log');
	with SliChart1 do begin
		DataMatrix (100, 't, x, y, text str', fdata, nil);
		DataFile ('SimpleDemoHead.chd');
		{
		D[0].dType:= CL_DATA_REAL;
		D[1].dType:= CL_DATA_REAL;
		D[2].dType:= CL_DATA_REAL;
		D[3].dType:= CL_DATA_TEXT;
		D[4].dType:= CL_DATA_NODATA;
		for i:=0 to 100 do begin
			D[0].dReal:= i;
			D[1].dReal:= sin (i/10);
			D[2].dReal:= sin (i/8);
			strFmt (buf, 't=%.0f x=%.3f y=%.3f', [D[0].dReal, D[1].dReal, D[2].dReal]);
			D[3].dText:= buf;
			DataVector (D);
		end;
		}
		SlideMaxZoom;
		DataFile ('SimpleDemoFoot.chd');
	end;
end;

end.
